scrub-obsolete Package - ruby-omniauth-facebook

Ready changes

Merge these changes:

Diff

diff --git a/debian/changelog b/debian/changelog
index 618869a..c7017bb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,10 @@ ruby-omniauth-facebook (4.0.0-3) UNRELEASED; urgency=medium
     Repository-Browse.
   * Update Vcs-* headers from URL redirect.
   * Use canonical URL in Vcs-Git.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on ruby-omniauth-oauth2.
+    + ruby-omniauth-facebook: Drop versioned constraint on ruby-omniauth-oauth2
+      in Depends.
 
  -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 13 Aug 2019 06:15:37 +0530
 
diff --git a/debian/control b/debian/control
index 3020369..34dbabb 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Build-Depends: debhelper-compat (= 12),
                gem2deb,
                ruby-minitest,
                ruby-mocha,
-               ruby-omniauth-oauth2 (>= 1.2~)
+               ruby-omniauth-oauth2
 Standards-Version: 3.9.8
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-omniauth-facebook.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-omniauth-facebook
@@ -19,7 +19,7 @@ Package: ruby-omniauth-facebook
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
-         ruby-omniauth-oauth2 (>= 1.2~),
+         ruby-omniauth-oauth2,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Oauth2 facebook strategy for OmniAuth

Run locally

Try this locally (using the lintian-brush package):

debcheckout ruby-omniauth-facebook
cd ruby-omniauth-facebook
deb-scrub-obsolete

More details

Full run details